'''
Automatic verification that the ANUGA code validates against the patong
dataset as expected.
'''

import os
import glob
import unittest
import project


class Test_Patong(unittest.TestCase):
    def setUp(self):
        
##        for file in glob.glob('./*.stdout'):
##            os.remove(file)
##        for file in glob.glob('./*.sww'):
##            os.remove(file)
##        for file in glob.glob('./*.msh'):
##            os.remove(file)

        # Check that environment variables are defined.
        if os.getenv(project.ENV_INUNDATIONHOME) is None:
            msg = ("Environment variable '%s' is not set in project.py"
                   % project.ENV_INUNDATIONHOME)
            raise Exception, msg

        if os.getenv(project.ENV_MUXHOME) is None:
            msg = ("Environment variable '%s' is not set in project.py"
                   % project.ENV_MUXHOME)
            raise Exception, msg

    def tearDown(self):
        # delete all output necessary
        pass

    def test_that_output_is_as_expected(self):
        s = 'run_model.py'
        cmd = 'python %s > %s.stdout' % (s, s)
        print 'cmd=%s' % cmd
        res = os.system(cmd)
        print 'res=%s' % str(res)
        assert res == 0

        print 'About to run compare_output_with_expected.py'
        s = 'compare_output_with_expected.py'
        res = os.system('python %s > %s.stdout'
                        % (s, s))
        print 'Result from %s is %d' % (s, res)
        assert res == 0

################################################################################

if __name__ == "__main__":
    suite = unittest.makeSuite(Test_Patong, 'test')
    runner = unittest.TextTestRunner(verbosity=2)
    runner.run(suite)
